Skip to main content
GET
/
api
/
v1
/
sessions
/
{session_id}
/
status
Get session status
curl --request GET \
  --url https://api.example.com/api/v1/sessions/{session_id}/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/sessions/{session_id}/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/sessions/{session_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "session_id": "<string>",
  "status": "<string>",
  "created_at": 123,
  "leads_count": 123,
  "processed_count": 123,
  "failed_count": 123,
  "progress_percentage": 123,
  "metadata": {},
  "active_jobs": [
    {}
  ],
  "job_history": [
    {}
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Response

Successful Response

Response model for session status.

session_id
string
required

Session identifier

status
string
required

Current status

created_at
number
required

Creation timestamp

leads_count
integer
required

Total leads in session

processed_count
integer
required

Number of processed leads

failed_count
integer
required

Number of failed leads

progress_percentage
number
required

Processing progress as percentage

metadata
Metadata · object
required

Session metadata

active_jobs
Active Jobs · object[]

Active background jobs

job_history
Job History · object[]

Recent job history